Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class CacheLdapSecurityContext.CacheOpaqueCredentials

    java.lang.Object
      org.jasig.portal.security.provider.ChainingSecurityContext.ChainingOpaqueCredentials
          org.jasig.portal.security.provider.CacheLdapSecurityContext.CacheOpaqueCredentials

All Implemented Interfaces:
  java.io.Serializable, IOpaqueCredentials, NotSoOpaqueCredentials

Enclosing class:
  CacheLdapSecurityContext

    private class CacheLdapSecurityContext.CacheOpaqueCredentials

extends ChainingSecurityContext.ChainingOpaqueCredentials
implements NotSoOpaqueCredentials

This is a new implementation of an OpaqueCredentials class that implements the less-opaque NotSoOpaqueCredentials.

Field Summary

Fields inherited from class org.jasig.portal.security.provider.ChainingSecurityContext.ChainingOpaqueCredentials
`credentialstring`

Constructor Summary
`private` | `CacheLdapSecurityContext.CacheOpaqueCredentials()`

Method Summary
`java.lang.String` | `getCredentials()` Gets the credentials

Methods inherited from class org.jasig.portal.security.provider.ChainingSecurityContext.ChainingOpaqueCredentials
`setCredentials, setCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.security.IOpaqueCredentials
`setCredentials, setCredentials`

Constructor Detail

### CacheLdapSecurityContext.CacheOpaqueCredentials

    private CacheLdapSecurityContext.CacheOpaqueCredentials()

Method Detail

### getCredentials

    public java.lang.String getCredentials()

  Gets the credentials

  Specified by:
    `getCredentials` in interface `NotSoOpaqueCredentials`
  Returns:
    the credentials

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD